Index: src/edu/ucsb/nceas/metacat/shared/MetacatUtilException.java
===================================================================
--- src/edu/ucsb/nceas/metacat/shared/MetacatUtilException.java	(nonexistent)
+++ src/edu/ucsb/nceas/metacat/shared/MetacatUtilException.java	(revision 5015)
@@ -0,0 +1,44 @@
+/**
+ *  '$RCSfile$'
+ *    Purpose: An Exception thrown when an error occurs because an 
+ *             AccessionNumber was invalid or used incorrectly
+ *  Copyright: 2008 Regents of the University of California and the
+ *             National Center for Ecological Analysis and Synthesis
+ *    Authors: Michael Daigle
+ *
+ *   '$Author$'
+ *     '$Date$'
+ * '$Revision$'
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ */
+
+package edu.ucsb.nceas.metacat.shared;
+/**
+ * Exception thrown when an error occurs in a utility method
+ */
+public class MetacatUtilException extends Exception {
+
+	private static final long serialVersionUID = -253071242028406390L;
+
+    /**
+	 * Create a new AdminException.
+	 *
+	 * @param message The error or warning message.
+	 */
+	public MetacatUtilException(String message) {
+		super(message);
+	}
+}

Index: src/edu/ucsb/nceas/metacat/oaipmh/provider/server/OAIHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/oaipmh/provider/server/OAIHandler.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/oaipmh/provider/server/OAIHandler.java	(revision 5015)
@@ -42,7 +42,7 @@
 import edu.ucsb.nceas.metacat.oaipmh.provider.server.crosswalk.Eml;
 import edu.ucsb.nceas.metacat.oaipmh.provider.server.crosswalk.Eml2oai_dc;
 import edu.ucsb.nceas.metacat.service.PropertyService;
-import edu.ucsb.nceas.metacat.service.ServiceException;
+import edu.ucsb.nceas.metacat.shared.ServiceException;
 
 import ORG.oclc.oai.server.catalog.AbstractCatalog;
 import ORG.oclc.oai.server.verb.BadVerb;
Index: src/edu/ucsb/nceas/metacat/DBEntityResolver.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBEntityResolver.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/DBEntityResolver.java	(revision 5015)
@@ -31,6 +31,8 @@
 import org.xml.sax.*;
 import org.xml.sax.helpers.DefaultHandler;
 
+import edu.ucsb.nceas.metacat.database.DBConnection;
+import edu.ucsb.nceas.metacat.database.DBConnectionPool;
 import edu.ucsb.nceas.metacat.util.SystemUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
Index: src/edu/ucsb/nceas/metacat/admin/MetaCatAdminServlet.java
===================================================================
--- src/edu/ucsb/nceas/metacat/admin/MetaCatAdminServlet.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/admin/MetaCatAdminServlet.java	(revision 5015)
@@ -41,12 +41,12 @@
 import edu.ucsb.nceas.metacat.MetaCatServlet;
 import edu.ucsb.nceas.metacat.service.PropertyService;
 import edu.ucsb.nceas.metacat.service.SessionService;
+import edu.ucsb.nceas.metacat.shared.MetacatUtilException;
 import edu.ucsb.nceas.metacat.util.AuthUtil;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import edu.ucsb.nceas.metacat.util.RequestUtil;
 import edu.ucsb.nceas.metacat.util.SkinUtil;
 import edu.ucsb.nceas.metacat.util.SystemUtil;
-import edu.ucsb.nceas.metacat.util.MetacatUtilException;
 import edu.ucsb.nceas.utilities.GeneralPropertyException;
 
 /**
Index: src/edu/ucsb/nceas/metacat/Eml210SAXHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/Eml210SAXHandler.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/Eml210SAXHandler.java	(revision 5015)
@@ -47,6 +47,8 @@
 import org.xml.sax.Attributes;
 import org.xml.sax.SAXException;
 
+import edu.ucsb.nceas.metacat.database.DBConnection;
+import edu.ucsb.nceas.metacat.database.DBConnectionPool;
 import edu.ucsb.nceas.metacat.service.PropertyService;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
Index: src/edu/ucsb/nceas/metacat/DBSimpleQuery.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBSimpleQuery.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/DBSimpleQuery.java	(revision 5015)
@@ -37,6 +37,9 @@
 import java.util.Hashtable;
 import java.util.Enumeration;
 
+import edu.ucsb.nceas.metacat.database.DBConnection;
+import edu.ucsb.nceas.metacat.database.DBConnectionPool;
+
 /** 
  * A Class that searches a relational DB for elements and attributes that
  * have free text matches to the query string.  It returns a result set 
Index: src/edu/ucsb/nceas/metacat/scheduler/ScheduledJobParamDAO.java
===================================================================
--- src/edu/ucsb/nceas/metacat/scheduler/ScheduledJobParamDAO.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/scheduler/ScheduledJobParamDAO.java	(revision 5015)
@@ -27,7 +27,7 @@
 
 package edu.ucsb.nceas.metacat.scheduler;
 
-import edu.ucsb.nceas.shared.BaseDAO;
+import edu.ucsb.nceas.metacat.shared.BaseDAO;
 
 public class ScheduledJobParamDAO extends BaseDAO {
 
Index: src/edu/ucsb/nceas/metacat/QueryGroup.java
===================================================================
--- src/edu/ucsb/nceas/metacat/QueryGroup.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/QueryGroup.java	(revision 5015)
@@ -30,9 +30,9 @@
 package edu.ucsb.nceas.metacat;
 
 import edu.ucsb.nceas.dbadapter.*;
+import edu.ucsb.nceas.metacat.shared.MetacatUtilException;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import edu.ucsb.nceas.metacat.util.SystemUtil;
-import edu.ucsb.nceas.metacat.util.MetacatUtilException;
 
 import java.io.*;
 import java.util.Hashtable;
Index: src/edu/ucsb/nceas/metacat/database/DBVersion.java
===================================================================
--- src/edu/ucsb/nceas/metacat/database/DBVersion.java	(nonexistent)
+++ src/edu/ucsb/nceas/metacat/database/DBVersion.java	(revision 5015)
@@ -0,0 +1,63 @@
+/**
+ *  '$RCSfile$'
+ *  Copyright: 2008 Regents of the University of California and the
+ *             National Center for Ecological Analysis and Synthesis
+ *
+ *   '$Author$'
+ *     '$Date$'
+ * '$Revision$'
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either DBVersion 2 of the License, or
+ * (at your option) any later DBVersion.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ */
+package edu.ucsb.nceas.metacat.database;
+
+import java.util.Vector;
+
+import edu.ucsb.nceas.metacat.Version;
+import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.utilities.StringUtil;
+import edu.ucsb.nceas.utilities.PropertyNotFoundException;
+
+/**
+ * @author daigle@nceas.nceas.ucsb.edu
+ *
+ * DBVersion represents the current DBVersion information for this Metacat instance.
+ */
+public class DBVersion extends Version
+{
+	private Vector<String> updateScriptList = null;
+	
+	/**
+	 * Create a database version. Get the update script list from properties for
+	 * this version and save in a vector.
+	 * 
+	 * @param DBVersionId
+	 *            a string representing the version of the database.
+	 * @throws PropertyNotFoundException
+	 */
+    public DBVersion(String DBVersionId) throws PropertyNotFoundException {
+    	super(DBVersionId);
+		String updateScriptString = PropertyService.getProperty("database.upgradeVersion." + DBVersionId);
+    	updateScriptList = StringUtil.toVector(updateScriptString, ',');
+    }
+	
+    /**
+     * Get the update script list for this version
+     * @return a Vector of update script names.
+     */
+    public Vector<String> getUpdateScripts() {
+    	return updateScriptList;
+    }
+}

Index: src/edu/ucsb/nceas/metacat/shared/BaseService.java
===================================================================
--- src/edu/ucsb/nceas/metacat/shared/BaseService.java	(nonexistent)
+++ src/edu/ucsb/nceas/metacat/shared/BaseService.java	(revision 5015)
@@ -0,0 +1,59 @@
+/**
+ *  '$RCSfile$'
+ *    Purpose: A Class that implements utility methods like:
+ *             1/ Reding all doctypes from db connection
+ *             2/ Reading DTD or Schema file from Metacat catalog system
+ *             3/ Reading Lore type Data Guide from db connection
+ *  Copyright: 2000 Regents of the University of California and the
+ *             National Center for Ecological Analysis and Synthesis
+ *    Authors: Jivka Bojilova
+ * 
+ *   '$Author$'
+ *     '$Date$'
+ * '$Revision$'
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ */
+
+package edu.ucsb.nceas.metacat.shared;
+
+
+/**
+ * A suite of utility classes for querying DB
+ * 
+ */
+public abstract class BaseService {
+	protected String _serviceName = null;
+
+	// package level method reporting if service is refreshable.  Basically,
+	// we only want ServiceService calling this.
+	public abstract boolean refreshable();
+	
+	// subclass must define doRefresh.  It is only called from the refresh() method.
+	protected abstract void doRefresh() throws ServiceException;
+	
+	// package level method to refresh service.  We only want ServiceService 
+	// calling this.
+	public void refresh() throws ServiceException{
+		if (refreshable()) {
+			doRefresh();
+		} else {
+			throw new ServiceException("Service: " + _serviceName + " is not refreshable");
+		}
+	}
+	
+	public abstract void stop() throws ServiceException;
+
+}

Index: src/edu/ucsb/nceas/metacat/shared/BaseDAO.java
===================================================================
--- src/edu/ucsb/nceas/metacat/shared/BaseDAO.java	(nonexistent)
+++ src/edu/ucsb/nceas/metacat/shared/BaseDAO.java	(revision 5015)
@@ -0,0 +1,70 @@
+/**
+ *  '$RCSfile$'
+ *    Purpose: A Class that holds the data from the scheduled_task 
+ *             table in the database. 
+ *  Copyright: 2009 Regents of the University of California and the
+ *             National Center for Ecological Analysis and Synthesis
+ *    Authors: Michael Daigle
+ * 
+ *   '$Author: daigle $'
+ *     '$Date: 2009-03-23 13:56:56 -0800 (Mon, 23 Mar 2009) $'
+ * '$Revision: 4854 $'
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ */
+package edu.ucsb.nceas.metacat.shared;
+
+import java.sql.Timestamp;
+
+public class BaseDAO {
+	
+	private Long _id;
+	private Timestamp _createTime;
+	private Timestamp _modTime;
+	private String _status;
+	
+	public Long getId() {
+		return _id;
+	}
+	
+	public void setId(Long id) {
+		_id = id;
+	}
+	
+	public Timestamp getCreateTime() {
+		return _createTime;
+	}
+	
+	public void setCreateTime(Timestamp createTime) {
+		_createTime = createTime;
+	}
+	
+	public Timestamp getModTime() {
+		return _modTime;
+	}
+	
+	public void setModTime(Timestamp modTime) {
+		_modTime = modTime;
+	}
+	
+	public String getStatus() {
+		return _status;
+	}
+	
+	public void setStatus(String status) {
+		_status = status;
+	}
+	
+}
\ No newline at end of file

Index: src/edu/ucsb/nceas/metacat/Sitemap.java
===================================================================
--- src/edu/ucsb/nceas/metacat/Sitemap.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/Sitemap.java	(revision 5015)
@@ -35,6 +35,8 @@
 
 import org.apache.log4j.Logger;
 
+import edu.ucsb.nceas.metacat.database.DBConnection;
+import edu.ucsb.nceas.metacat.database.DBConnectionPool;
 import edu.ucsb.nceas.metacat.service.PropertyService;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
Index: src/edu/ucsb/nceas/metacat/admin/GeoserverAdmin.java
===================================================================
--- src/edu/ucsb/nceas/metacat/admin/GeoserverAdmin.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/admin/GeoserverAdmin.java	(revision 5015)
@@ -37,9 +37,9 @@
 import org.apache.log4j.Logger;
 
 import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.shared.MetacatUtilException;
 import edu.ucsb.nceas.metacat.util.GeoserverUtil;
 import edu.ucsb.nceas.metacat.util.RequestUtil;
-import edu.ucsb.nceas.metacat.util.MetacatUtilException;
 import edu.ucsb.nceas.utilities.GeneralPropertyException;
 
 /**
Index: src/edu/ucsb/nceas/metacat/Eml200SAXHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/Eml200SAXHandler.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/Eml200SAXHandler.java	(revision 5015)
@@ -48,6 +48,8 @@
 import org.xml.sax.Attributes;
 import org.xml.sax.SAXException;
 
+import edu.ucsb.nceas.metacat.database.DBConnection;
+import edu.ucsb.nceas.metacat.database.DBConnectionPool;
 import edu.ucsb.nceas.metacat.service.PropertyService;
 import edu.ucsb.nceas.metacat.util.AuthUtil;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
Index: src/edu/ucsb/nceas/metacat/DocumentIdentifier.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DocumentIdentifier.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/DocumentIdentifier.java	(revision 5015)
@@ -31,6 +31,8 @@
 import java.lang.*;
 import java.sql.*;
 
+import edu.ucsb.nceas.metacat.database.DBConnection;
+import edu.ucsb.nceas.metacat.database.DBConnectionPool;
 import edu.ucsb.nceas.metacat.service.PropertyService;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
Index: src/edu/ucsb/nceas/metacat/scheduler/SchedulerService.java
===================================================================
--- src/edu/ucsb/nceas/metacat/scheduler/SchedulerService.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/scheduler/SchedulerService.java	(revision 5015)
@@ -41,9 +41,9 @@
 import org.quartz.Trigger;
 import org.quartz.TriggerUtils;
 
-import edu.ucsb.nceas.metacat.service.BaseService;
-import edu.ucsb.nceas.metacat.service.ServiceException;
-import edu.ucsb.nceas.shared.AccessException;
+import edu.ucsb.nceas.metacat.shared.AccessException;
+import edu.ucsb.nceas.metacat.shared.BaseService;
+import edu.ucsb.nceas.metacat.shared.ServiceException;
 import edu.ucsb.nceas.utilities.DateUtil;
 import edu.ucsb.nceas.utilities.StatusUtil;
 import edu.ucsb.nceas.utilities.UtilException;
Index: src/edu/ucsb/nceas/metacat/scheduler/ScheduledJobParamAccess.java
===================================================================
--- src/edu/ucsb/nceas/metacat/scheduler/ScheduledJobParamAccess.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/scheduler/ScheduledJobParamAccess.java	(revision 5015)
@@ -39,9 +39,9 @@
 
 import org.apache.log4j.Logger;
 
-import edu.ucsb.nceas.metacat.DBConnectionPool;
-import edu.ucsb.nceas.shared.AccessException;
-import edu.ucsb.nceas.shared.BaseAccess;
+import edu.ucsb.nceas.metacat.database.DBConnectionPool;
+import edu.ucsb.nceas.metacat.shared.AccessException;
+import edu.ucsb.nceas.metacat.shared.BaseAccess;
 import edu.ucsb.nceas.utilities.StatusUtil;
 
 public class ScheduledJobParamAccess extends BaseAccess {
Index: src/edu/ucsb/nceas/metacat/database/DatabaseService.java
===================================================================
--- src/edu/ucsb/nceas/metacat/database/DatabaseService.java	(nonexistent)
+++ src/edu/ucsb/nceas/metacat/database/DatabaseService.java	(revision 5015)
@@ -0,0 +1,109 @@
+/**
+ *  '$RCSfile$'
+ *    Purpose: A Class that implements database utility methods 
+ *  Copyright: 2008 Regents of the University of California and the
+ *             National Center for Ecological Analysis and Synthesis
+ *    Authors: Michael Daigle
+ * 
+ *   '$Author: daigle $'
+ *     '$Date: 2008-08-22 16:23:38 -0700 (Fri, 22 Aug 2008) $'
+ * '$Revision: 4297 $'
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ */
+
+package edu.ucsb.nceas.metacat.database;
+
+import org.apache.log4j.Logger;
+
+import edu.ucsb.nceas.dbadapter.AbstractDatabase;
+import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.shared.BaseService;
+import edu.ucsb.nceas.metacat.shared.ServiceException;
+
+public class DatabaseService extends BaseService {
+	
+	private static DatabaseService databaseService = null;
+	private static AbstractDatabase dbAdapter;	
+	private static Logger logMetacat = Logger.getLogger(DatabaseService.class);
+
+	/**
+	 * private constructor since this is a singleton
+	 */
+	private DatabaseService() {
+    	// Determine our db adapter class and create an instance of that class
+        try {
+            dbAdapter = (AbstractDatabase) createObject(PropertyService.getProperty("database.adapter"));
+        } catch (Exception e) {
+            logMetacat.error("Could not create dbAdaptor" + e.getMessage());
+            e.printStackTrace();
+        }
+	}
+	
+	/**
+	 * Get the single instance of DatabaseService.
+	 * 
+	 * @return the single instance of DatabaseService
+	 */
+	public static DatabaseService getInstance() {
+		if (databaseService == null) {
+			databaseService = new DatabaseService();
+		}
+		return databaseService;
+	}
+	
+	public boolean refreshable() {
+		return false;
+	}
+	
+	public void doRefresh() throws ServiceException {
+		return;
+	}
+	
+	public void stop() throws ServiceException {
+		return;
+	}
+	
+    /**
+	 * Instantiate a class using the name of the class at runtime
+	 *
+	 * @param className the fully qualified name of the class to instantiate
+	 */
+	public static Object createObject(String className) throws Exception {
+
+		Object object = null;
+		try {
+			Class classDefinition = Class.forName(className);
+			object = classDefinition.newInstance();
+		} catch (InstantiationException e) {
+			throw e;
+		} catch (IllegalAccessException e) {
+			throw e;
+		} catch (ClassNotFoundException e) {
+			throw e;
+		}
+		return object;
+	}
+	
+	/**
+	 * gets the database adapter
+	 * 
+	 * @return AbstractDatabase object for this application's database adapter.
+	 */
+	public static AbstractDatabase getDBAdapter() {
+		return dbAdapter;
+	}
+
+}

Index: src/edu/ucsb/nceas/metacat/shared/BaseException.java
===================================================================
--- src/edu/ucsb/nceas/metacat/shared/BaseException.java	(nonexistent)
+++ src/edu/ucsb/nceas/metacat/shared/BaseException.java	(revision 5015)
@@ -0,0 +1,71 @@
+/**
+ *  '$RCSfile$'
+ *    Purpose: An Exception thrown when an error occurs because an 
+ *             AccessionNumber was invalid or used incorrectly
+ *  Copyright: 2008 Regents of the University of California and the
+ *             National Center for Ecological Analysis and Synthesis
+ *    Authors: Michael Daigle
+ *
+ *   '$Author: daigle $'
+ *     '$Date: 2008-07-06 21:25:34 -0700 (Sun, 06 Jul 2008) $'
+ * '$Revision: 4080 $'
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ */
+
+package edu.ucsb.nceas.metacat.shared;
+
+/**
+ * Exception thrown when an error occurs in a configuration administrative
+ * class
+ */
+public class BaseException extends Exception {
+
+
+	private static final long serialVersionUID = 1331212806605660813L;
+	
+	private static String _coreMessage;
+	
+	/**
+	 * Create a new AccessException.
+	 *
+	 * @param message The error or warning message.
+	 */
+	public BaseException(String message) {
+		super(message);
+		_coreMessage = message;
+	}
+	
+	/**
+	 * Create a new BaseException.
+	 *
+	 * @param message The error or warning message.
+	 */
+	public BaseException(String message, BaseException deeperException) {
+		super(message + " --> " + deeperException.getMessage());
+		_coreMessage = deeperException.getCoreMessage();
+	}
+	
+	public String getCoreMessage() {
+		return _coreMessage;
+	}
+	
+	public void setCoreMessage(String coreMessage) {
+		_coreMessage = coreMessage;
+	}
+	
+
+
+}

Index: src/edu/ucsb/nceas/metacat/shared/HandlerException.java
===================================================================
--- src/edu/ucsb/nceas/metacat/shared/HandlerException.java	(nonexistent)
+++ src/edu/ucsb/nceas/metacat/shared/HandlerException.java	(revision 5015)
@@ -0,0 +1,46 @@
+/**
+ *  '$RCSfile$'
+ *    Purpose: An Exception thrown when an error occurs because an 
+ *             AccessionNumber was invalid or used incorrectly
+ *  Copyright: 2008 Regents of the University of California and the
+ *             National Center for Ecological Analysis and Synthesis
+ *    Authors: Michael Daigle
+ *
+ *   '$Author: daigle $'
+ *     '$Date: 2008-07-06 21:25:34 -0700 (Sun, 06 Jul 2008) $'
+ * '$Revision: 4080 $'
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ */
+
+package edu.ucsb.nceas.metacat.shared;
+
+/**
+ * Exception thrown when an error occurs in a configuration administrative
+ * class
+ */
+public class HandlerException extends Exception {
+
+	private static final long serialVersionUID = 7997030775672963304L;
+
+	/**
+	 * Create a new AdminException.
+	 *
+	 * @param message The error or warning message.
+	 */
+	public HandlerException(String message) {
+		super(message);
+	}
+}

Index: src/edu/ucsb/nceas/metacat/DBSAXHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBSAXHandler.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/DBSAXHandler.java	(revision 5015)
@@ -35,6 +35,8 @@
 import java.util.Stack;
 import java.util.Vector;
 
+import edu.ucsb.nceas.metacat.database.DBConnection;
+import edu.ucsb.nceas.metacat.database.DBConnectionPool;
 import edu.ucsb.nceas.metacat.service.PropertyService;
 import edu.ucsb.nceas.metacat.service.XMLSchema;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
Index: src/edu/ucsb/nceas/metacat/admin/PropertiesAdmin.java
===================================================================
--- src/edu/ucsb/nceas/metacat/admin/PropertiesAdmin.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/admin/PropertiesAdmin.java	(revision 5015)
@@ -35,11 +35,11 @@
 
 import org.apache.log4j.Logger;
 
-import edu.ucsb.nceas.metacat.DBVersion;
 import edu.ucsb.nceas.metacat.MetaCatVersion;
+import edu.ucsb.nceas.metacat.database.DBVersion;
 import edu.ucsb.nceas.metacat.service.PropertyService;
-import edu.ucsb.nceas.metacat.service.ServiceException;
 import edu.ucsb.nceas.metacat.service.ServiceService;
+import edu.ucsb.nceas.metacat.shared.ServiceException;
 import edu.ucsb.nceas.metacat.util.RequestUtil;
 import edu.ucsb.nceas.metacat.util.SystemUtil;
 
Index: src/edu/ucsb/nceas/metacat/admin/DBAdmin.java
===================================================================
--- src/edu/ucsb/nceas/metacat/admin/DBAdmin.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/admin/DBAdmin.java	(revision 5015)
@@ -50,15 +50,15 @@
 import javax.servlet.http.HttpServletResponse;
 import javax.servlet.http.HttpSession;
 
-import edu.ucsb.nceas.metacat.DBConnection;
-import edu.ucsb.nceas.metacat.DBConnectionPool;
-import edu.ucsb.nceas.metacat.DBVersion;
 import edu.ucsb.nceas.metacat.MetaCatVersion;
+import edu.ucsb.nceas.metacat.database.DBConnection;
+import edu.ucsb.nceas.metacat.database.DBConnectionPool;
+import edu.ucsb.nceas.metacat.database.DBVersion;
 import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.shared.MetacatUtilException;
 import edu.ucsb.nceas.metacat.util.DatabaseUtil;
 import edu.ucsb.nceas.metacat.util.RequestUtil;
 import edu.ucsb.nceas.metacat.util.SystemUtil;
-import edu.ucsb.nceas.metacat.util.MetacatUtilException;
 
 import edu.ucsb.nceas.utilities.DBUtil;
 import edu.ucsb.nceas.utilities.FileUtil;
Index: src/edu/ucsb/nceas/metacat/DBDTDHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBDTDHandler.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/DBDTDHandler.java	(revision 5015)
@@ -29,6 +29,8 @@
 
 import org.xml.sax.*;
 
+import edu.ucsb.nceas.metacat.database.DBConnection;
+
 import java.sql.*;
 import java.net.URL;
 import java.net.MalformedURLException;
Index: src/edu/ucsb/nceas/metacat/scheduler/ScheduledJobDAO.java
===================================================================
--- src/edu/ucsb/nceas/metacat/scheduler/ScheduledJobDAO.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/scheduler/ScheduledJobDAO.java	(revision 5015)
@@ -30,7 +30,7 @@
 import java.sql.Timestamp;
 import java.util.HashMap;
 
-import edu.ucsb.nceas.shared.BaseDAO;
+import edu.ucsb.nceas.metacat.shared.BaseDAO;
 
 public class ScheduledJobDAO extends BaseDAO {
 	
Index: src/edu/ucsb/nceas/metacat/scheduler/ScheduledJobAccess.java
===================================================================
--- src/edu/ucsb/nceas/metacat/scheduler/ScheduledJobAccess.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/scheduler/ScheduledJobAccess.java	(revision 5015)
@@ -38,9 +38,9 @@
 import org.apache.log4j.Logger;
 import org.quartz.Job;
 
-import edu.ucsb.nceas.metacat.DBConnectionPool;
-import edu.ucsb.nceas.shared.AccessException;
-import edu.ucsb.nceas.shared.BaseAccess;
+import edu.ucsb.nceas.metacat.database.DBConnectionPool;
+import edu.ucsb.nceas.metacat.shared.AccessException;
+import edu.ucsb.nceas.metacat.shared.BaseAccess;
 import edu.ucsb.nceas.utilities.StatusUtil;
 
 public class ScheduledJobAccess extends BaseAccess {
